Package org.drinkless.tdlib

# Class TdApi.InternalLinkTypeUserPhoneNumber

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InternalLinkType
org.drinkless.tdlib.TdApi.InternalLinkTypeUserPhoneNumber

Enclosing class:
  `TdApi`

public static class TdApi.InternalLinkTypeUserPhoneNumber extends TdApi.InternalLinkType
The link is a link to a user by its phone number. Call searchUserByPhoneNumber with the given phone number to process the link. If the user is found, then call createPrivateChat and open user's profile information screen or the chat itself. If draft text isn't empty, then put the draft text in the input field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InternalLinkType

  `TdApi.InternalLinkType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `draftText`
  Draft text for message to send in the chat.
  `boolean`
  `openProfile`
  True, if user's profile information screen must be opened; otherwise, the chat itself must be opened.
  `String`
  `phoneNumber`
  Phone number of the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkTypeUserPhoneNumber()`
  The link is a link to a user by its phone number.
  `InternalLinkTypeUserPhoneNumber(String phoneNumber, String draftText, boolean openProfile)`
  The link is a link to a user by its phone number.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### phoneNumber

    public String phoneNumber
    Phone number of the user.

  - ### draftText

    public String draftText
    Draft text for message to send in the chat.

  - ### openProfile

    public boolean openProfile
    True, if user's profile information screen must be opened; otherwise, the chat itself must be opened.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InternalLinkTypeUserPhoneNumber

    public InternalLinkTypeUserPhoneNumber()
    The link is a link to a user by its phone number. Call searchUserByPhoneNumber with the given phone number to process the link. If the user is found, then call createPrivateChat and open user's profile information screen or the chat itself. If draft text isn't empty, then put the draft text in the input field.

  - ### InternalLinkTypeUserPhoneNumber

    public InternalLinkTypeUserPhoneNumber(String phoneNumber, String draftText, boolean openProfile)
    The link is a link to a user by its phone number. Call searchUserByPhoneNumber with the given phone number to process the link. If the user is found, then call createPrivateChat and open user's profile information screen or the chat itself. If draft text isn't empty, then put the draft text in the input field.
    Parameters:
      `phoneNumber` - Phone number of the user.
      `draftText` - Draft text for message to send in the chat.
      `openProfile` - True, if user's profile information screen must be opened; otherwise, the chat itself must be opened.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InternalLinkType`
    Returns:
      this.CONSTRUCTOR